Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.bayesian.parse
Class ParsedChoice

    java.lang.Object
      org.encog.ml.bayesian.parse.ParsedChoice

    public class ParsedChoice

extends Object

A parsed choice.

Constructor Summary
`ParsedChoice(String label, double min, double max)` Construct a continuous choice, with a min and max.
`ParsedChoice(String label, int index)` Construct a discrete value for this choice.

Method Summary
`String` | `getLabel()`
`double` | `getMax()`
`double` | `getMin()`
`boolean` | `isIndex()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsedChoice

    public ParsedChoice(String label,
                        double min,
                        double max)

  Construct a continuous choice, with a min and max.

  Parameters:
    `label` - The label, for this chocie.
    `min` - The min value, for this choice.
    `max` - The max value, for this choice.

### ParsedChoice

    public ParsedChoice(String label,
                        int index)

  Construct a discrete value for this choice.

  Parameters:
    `label` - The choice label.
    `index` - The index.

Method Detail

### getLabel

    public String getLabel()

  Returns:
    The label.

### getMin

    public double getMin()

  Returns:
    The min value.

### getMax

    public double getMax()

  Returns:
    The max value.

### isIndex

    public boolean isIndex()

  Returns:
    True, if this choice is indexed, or discrete.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.